Software Requirements

Tenable Nessus supports the following Linux, Windows, and macOS operating systems:

Tip: For information about Tenable Core + Nessus, see System Requirements in the (missing or bad snippet).

Note: Microsoft Visual C++ Redistributable 14.22 is included as part of a bundled license package with Tenable Nessus.

Supported Browsers

(missing or bad snippet)

PDF Reports

The Tenable Nessus PDF report generation feature requires the latest version of Oracle Java or OpenJDK.

If your organization requires PDF reports, you must install Oracle Java or OpenJDK before installing Tenable Nessus. If you install Oracle Java or OpenJDK after installing Tenable Nessus, you need to reinstall Tenable Nessus for the PDF report feature to function properly.

SELinux Requirements

Tenable Nessus supports disabled, permissive, and enforcing mode Security-Enhanced Linux (SELinux) policy configurations.

  • Disabled and permissive mode policies typically do not require customization to interact with Tenable Nessus.
  • Enforcing mode policies require customization to interact with Tenable Nessus. For more information, see Customize SELinux Enforcing Mode Policies.

Note: Tenable recommends testing your SELinux configurations before deploying on a live network.